Skip to main content
GET
/
api
/
compliance
/
reports
/
instance
Download Instance Compliance Reports
curl --request GET \
  --url https://api.example.com/api/compliance/reports/instance \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

format
enum<string>
default:json
Available options:
json,
pdf,
csv
depth
enum<string>
default:summary
Available options:
summary,
detailed,
exhaustive
compliance_standard
enum<string>
default:soc2
Available options:
soc2,
iso27001,
hipaa,
gdpr
dataset_ids
string[] | null

Optional dataset UUIDs to scope the report to a subset of datasets.

time_start
string<date-time> | null

Optional ISO timestamp marking the beginning of the reporting window.

time_end
string<date-time> | null

Optional ISO timestamp marking the end of the reporting window.

Cookies

antidote_session
string | null

Response

Successful Response